Bug 1318393 - 'yum install ipmiutil' creates /%{_unitdir} instead of service file
Summary: 'yum install ipmiutil' creates /%{_unitdir} instead of service file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ipmiutil
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andy Cress
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-16 18:06 UTC by Mark P
Modified: 2016-07-03 14:18 UTC (History)
1 user (show)

Fixed In Version: ipmiutil-2.9.9-3.el6 ipmiutil-2.9.9-3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-03 08:48:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Mark P 2016-03-16 18:06:37 UTC
Description of problem:
Installation of ipmiutil creates /%{_unitdir} instead of a service file

Version-Release number of selected component (if applicable):
Version     : 2.9.6
Release     : 1.el7


How reproducible:
always

Steps to Reproduce:
1.# ls /%\{_unitdir\}   
ls: cannot access /%{_unitdir}: No such file or directory
2.# yum --enablerepo=epel -y install ipmiutil
3.# ls /%\{_unitdir\}
/%{_unitdir}


Actual results:
/%{_unitdir} is created. Apparently a service file isn't.

Expected results:
/%{_unitdir} should not be created; a service file should be created where systemd will find it

Additional info:
Note that rpm seems to interpret %\{_unitdir\} specially:
# cd /root
# rpm -qf %\{_unitdir\}
error: file /root/usr/lib/systemd/system: No such file or directory
# cd /
# rpm -qf %\{_unitdir\}
systemd-219-19.el7_2.4.x86_64
# rpm -qf /%\{_unitdir\}
file /%{_unitdir} is not owned by any package

Comment 1 Andy Cress 2016-03-17 14:52:38 UTC
Hmmm.  Somehow the spec file didn't get the %{_unitdir} macro included, and it needs systemd-units for this case.  It had that defined for Fedora, but it somehow was omitted for epel7.

BuildRequires: systemd-units

Comment 2 Fedora Update System 2016-05-16 16:11:18 UTC
ipmiutil-2.9.9-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-80de30b4a6

Comment 3 Fedora Update System 2016-05-16 16:11:36 UTC
ipmiutil-2.9.9-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-127a76f552

Comment 4 Fedora Update System 2016-05-16 16:11:49 UTC
ipmiutil-2.9.9-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dd32662b31

Comment 5 Fedora Update System 2016-05-16 16:12:03 UTC
ipmiutil-2.9.9-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4a32c9bef0

Comment 6 Fedora Update System 2016-05-17 22:01:15 UTC
ipmiutil-2.9.9-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dd32662b31

Comment 7 Fedora Update System 2016-05-17 22:01:27 UTC
ipmiutil-2.9.9-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-127a76f552

Comment 8 Fedora Update System 2016-05-19 16:46:35 UTC
ipmiutil-2.9.9-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-80de30b4a6

Comment 9 Fedora Update System 2016-05-19 16:50:36 UTC
ipmiutil-2.9.9-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4a32c9bef0

Comment 10 Fedora Update System 2016-06-16 23:17:32 UTC
ipmiutil-2.9.9-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-52b5a22806

Comment 11 Fedora Update System 2016-06-16 23:17:52 UTC
ipmiutil-2.9.9-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-92d0d926f2

Comment 12 Fedora Update System 2016-06-18 16:19:18 UTC
ipmiutil-2.9.9-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-52b5a22806

Comment 13 Fedora Update System 2016-06-18 17:19:53 UTC
ipmiutil-2.9.9-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-92d0d926f2

Comment 14 Fedora Update System 2016-07-03 08:48:33 UTC
ipmiutil-2.9.9-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-07-03 14:18:46 UTC
ipmiutil-2.9.9-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.